Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

please tell me how to Install easy_install Via yum on Linux CentOS Server

i tried that in panel command center

yum install python-setuptools

output....

  • epel: mirrors.tummy.com * base: mirrors.tummy.com * updates: centos.mirrors.tds.net * addons: mirror.fdcservers.net * extras: mirrors.gigenet.com 0 packages excluded due to repository protections Setting up Install Process Parsing package install arguments Resolving Dependencies --> Running transaction check ---> Package python-setuptools.noarch 0:0.6c9-5 set to be updated --> Processing Dependency: /usr/bin/python26 for package: python-setuptools --> Running transaction check ---> Package python26.i386 0:2.6.5-6.el5 set to be updated --> Processing Dependency: libpython2.6.so.1.0 for package: python26 --> Processing Dependency: libffi.so.5 for package: python26 --> Running transaction check ---> Package python26-libs.i386 0:2.6.5-6.el5 set to be updated ---> Package libffi.i386 0:3.0.5-1.el5 set to be updated --> Finished Dependency Resolution

Dependencies Resolved

================================================================================ Package Arch
Version Repository
Size ================================================================================ Installing: python-setuptools
noarch 0.6c9-5
chl 357 k Installing for dependencies: libffi
i386 3.0.5-1.el5
epel 21 k python26
i386 2.6.5-6.el5
epel 6.5 M python26-libs
i386 2.6.5-6.el5
epel 667 k

Transaction Summary ================================================================================ Install 4 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 7.5 M Is this ok [y/N]: Exiting on user Command Complete!

when i run this command

easy_install html5lib

then i get error

sh: easy_install: command not found

so please help me to install easy_install command am using centos 5 32bit

share|improve this question

3 Answers 3

Disable the "chl" repo and try again. It's in the base repo.

share|improve this answer

The output you show seems to imply that you exited the download and install without actually doing so. Try yum install -y python-setuptools to finish the install, then try the easy_install command.

share|improve this answer

i tried

yum install -y python-setuptools

but still not installed

  Loaded plugins: fastestmirror, protectbase
Loading mirror speeds from cached hostfile
 * base: mirror.sanctuaryhost.com
 * updates: mirror.fdcservers.net
 * addons: centos.mirrors.tds.net
 * extras: mirror.fdcservers.net
0 packages excluded due to repository protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package python-setuptools.noarch 0:0.6c9-5 set to be updated
--> Processing Dependency: /usr/bin/python26 for package: python-setuptools
--> Running transaction check
---> Package python26.i386 0:2.6.2-2 set to be updated
--> Processing Dependency: libpython2.6.so.1.0 for package: python26
--> Processing Dependency: libffi.so.5 for package: python26
--> Running transaction check
---> Package python26.i386 0:2.6.2-2 set to be updated
--> Processing Dependency: libffi.so.5 for package: python26
---> Package python26-libs.i386 0:2.6.2-2 set to be updated
--> Finished Dependency Resolution
python26-2.6.2-2.i386 from chl has depsolving problems
  --> Missing Dependency: libffi.so.5 is needed by package python26-2.6.2-2.i386 (chl)
Error: Missing Dependency: libffi.so.5 is needed by package python26-2.6.2-2.i386 (chl)
share|improve this answer
    
As @Ignacio-Vazquez-Abrams said, disable repo chl with --disablerepo=chl and try again. –  lsd May 10 '11 at 22:25

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.